Search Gradle plugins

Version 3.6.0 (latest)

Created 25 June 2021.

Package your SAP Commerce project according to the CCv1 Deployment Packaging Guidelines

Using the plugins DSL:

plugins {
  id "sap.commerce.ccv1.package" version "3.6.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "gradle.plugin.sap.commerce:commerce-gradle-plugin:3.6.0"
  }
}

apply plugin: "sap.commerce.ccv1.package"

Using the plugins DSL:

plugins {
  id("sap.commerce.ccv1.package") version "3.6.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("gradle.plugin.sap.commerce:commerce-gradle-plugin:3.6.0")
  }
}

apply(plugin = "sap.commerce.ccv1.package")

Learn how to apply plugins to subprojects